cls
@echo off


if exist TILES*.ART goto TILES

if exist *.voc goto VOK

:INTRO
rename demo.map dom.map
rename demo1.dmo domu.mod

:CHOICE
cls
echo.
echo ^^^^^^^^^^^^^^^^^^^^^^
echo Duke in Denmark, DK
echo.
echo ^^^^^^^^^^^^^^^^^^^^^^
echo. 
echo Please select one of the following:
echo 1. Single Player game with DANISH Duketalk/med dansk tale
echo 2. Network or Modem game
echo.3. Single Player game with normal Duketalk
echo.
echo.
echo Additional Options:
echo 4. No Monsters
echo 5. Go directly to new demo: "Shootup seminar" - COME LET'S ROCK
echo 6. Uninstall Duke in Denmark
echo.7. Go directly to episode: "The Mermaid's head" - THE HARD VERSION
echo.
echo.
echo.
echo. 
echo. 
choice  /n /c:12345678x "Select (or type X to exit): "

if ERRORLEVEL 8 GOTO EXIT
if ERRORLEVEL 7 GOTO HEAD
if ERRORLEVEL 6 GOTO STORY
if ERRORLEVEL 5 GOTO SLUTREST
if ERRORLEVEL 4 GOTO NOMONSTERS
if ERRORLEVEL 3 GOTO SINGLE
if ERRORLEVEL 2 GOTO NETWORK
if ERRORLEVEL 1 GOTO TALK
CLS


:NOCHOICE

echo:
echo ^^^^^^^^^^^^^^^^^^^^^^
echo Duke in Copenhagen , DK
echo.
echo ^^^^^^^^^^^^^^^^^^^^^^
echo:
echo:
echo If you wish to play a network or modem game,
echo press CTRL+C now to exit and type the following at the
echo DOS prompt:  setup /xdukedk.con /gdukedk.grp
echo Then setup your multiplayer game as usual.
echo:
echo:
echo If you would like to play a single player game,
pause
cls
duke3d /xdukedk.con /gdukedk.grp 

goto EXIT


:tilesnochoice
goto EXIT


:TILES
cls
echo:
echo:
echo Some tiles were found in your
echo Duke3d directory
echo:
echo Duke in Copenhagen will not function    
echo if these files are present.  They can be automatically backed up    
echo for you now, or you can exit, rename or back them up yourself,   
echo and then run this program again.
echo: 
echo:


echo Please select one of the following:
echo 1. Automatically backup the files and continue
echo 2. Exit


echo. 
echo. 
choice  /n /c:12 "Make selection: "




if ERRORLEVEL 2 GOTO EXIT
if ERRORLEVEL 1 GOTO BACKUP


:BACKUP
cls
rename tiles*.art tiles*.dpm
rename lookup.dat lookup.tad
rem pause

cls
echo Your original files have been backed up as
echo:
echo:
echo    TILES*.DPM
echo:
echo:
echo They will be restored at the end of this session.
echo.
pause

goto INTRO

:STORY
echo are you SURE you want to uninstall Duke in Denmark ????
choice  /n /c:12 "press 1 for yes, 2 for no: "

if ERRORLEVEL 2 GOTO EXIT
if ERRORLEVEL 1 GOTO UNINST

:UNINST
echo You MAY have to delete dukecope.bat yourself
erase dukedk.grp
erase danskduk.grp
erase dukedk.con
erase dkuser.con
erase dkdefs.con
erase dukedk.ani
erase dukedk.ico
erase dukedk.pif
erase dukecope.bat
erase Duke_in_Denmark.doc
erase DukeDK.doc
pause
goto EXIT


:TALK
cls

echo extracting danish speech/dansk tale i voc.filer
kextract Danskduke.grp *.voc
duke3d /xdukedk.con /gdukedk.grp
goto EXIT



:SINGLE
cls
duke3d /xdukedk.con /gdukedk.grp
goto EXIT


:VOKAL
cls
rename *.voc *.cov
echo previous voc.files will be backed up as .cov-files
pause
goto TALK

:NETWORK
cls
setup.exe /xdukedk.con /gdukedk.grp
goto INTRO

:HEAD
cls
duke3d /xdukedk.con /gdukedk.grp /v2 /l1 /s4
goto EXIT

:NOMONSTERS
cls
duke3d.exe /xdukedk.con /gdukedk.grp /m /V2 /L1
goto EXIT

:VOK
rename *.voc *.cov
goto INTRO

:SLUTREST
duke3d.exe /xdukedk.con /gdukedk.grp /v3 /l1 /s3
goto EXIT

:EXIT
cls
if exist TILES*.DPM goto RESTORE
goto :DONE

:RESTORE
rename tiles*.art
rename lookup.dat
cls
echo.
echo.
echo Your original ART files have been restored.
echo.
echo.
pause



:DONE
erase *.voc
rename *.cov *.voc
rename dom.map demo.map
rename domu.mod demo1.dmo

cls
echo Thanks for playing DUKE IN COPENHAGEN
echo By D.Mikkelsen
echo:
echo:
echo For questions or comments, please e-mail me at:
echo dogr@email.dk
echo:
echo:

